
/**
 * A Person class for storing some information about persons.
 * This is part of an example BlueJ project in an introductory Java course
 * with BlueJ.
 *
 * @author M. Kolling
 * @version 1.0 July 1998
 */
public class Person
{
    /** This person's first name **/
    private String firstName;
    
    /** This person's last name **/
    private String lastName;
    
    /** This person's year of birth **/
    private int yearOfBirth;

    /**
     * Constructor - create a new (empty) person
     */
    Person()
    {
        firstName = "";
        lastName = "(unknown name)";
        yearOfBirth = 0;
    }

    /**
     * Constructor - create a person with the specifed attributes
     */
    Person(String firstName, String lastName, int yearOfBirth)
    {
        this.firstName = firstName;
		this.lastName = lastName;
		this.yearOfBirth = yearOfBirth;
    }

    /**
     * set this person's first name
     */
    public void setFirstName(String newFirstName)
    {
        firstName = newFirstName;
    }

    /**
     * get this person's first name
     */
    public String getFirstName()
    {
        return firstName;
    }
    
    /**
     * set this person's last name
     */
    public void setLastName(String newLastName)
    {
        lastName = newLastName;
    }

    /**
     * get this person's last name
     */
    public String getLastName()
    {
        return lastName;
    }
     
    /**
     * set this person's year of birth
     */
    public void setYearOfBirth(int newYearOfBirth)
    {
        yearOfBirth = newYearOfBirth;
    }

    /**
     * get this person's year of birth
     */
    public int getYearOfBirth()
    {
        return yearOfBirth;
    }

    /**
     * Return the (approximate) age of this person.
     */
    public int getAge(int currentYear)
    {
		int age = currentYear - yearOfBirth;
		return age;
    }

	/**
	 * Print out the details of this person to the terminal.
	 */
	public void print()
	{
		System.out.println(firstName + " " + lastName);
		System.out.println("year of birth: " + yearOfBirth);
	}
}
